onEvent("recipes", (event) => {

//Soul Snare
  event.remove({ output: 'bloodmagic:soulsnare' })
  event.shaped('4x bloodmagic:soulsnare', [
  ' BC',
  'BAA',
  'AB '
  ], {
    A: 'industrialforegoing:plastic',
    B: 'minecraft:iron_ingot',
    C: 'industrialforegoing:laser_lens3'
  })

//Blood Altar
event.remove({ output: 'bloodmagic:altar' })
event.shaped('bloodmagic:altar', [
' A ',
'BCB',
'DED'
], {
  A: 'industrialforegoing:mob_imprisonment_tool',
  B: 'naturesaura:tainted_gold_block',
  C: Item.of('bloodmagic:basemonstersoul').ignoreNBT(),
  D: 'industrialforegoing:pink_slime_ingot',
  E: '#forge:plates/gold'
})

//Hellfire Forge
event.remove({ output: 'bloodmagic:soulforge' })
event.shaped('bloodmagic:soulforge', [
' A ',
'BCB',
'DED'
], {
  A: 'bloodmagic:blankslate',
  B: 'bloodmagic:soulsnare',
  C: Item.of('bloodmagic:basemonstersoul').ignoreNBT(),
  D: 'hexerei:mahogany_wood',
  E: 'bloodmagic:weakbloodorb'
})

//Sacrificial Dagger
event.remove({ output: 'bloodmagic:sacrificialdagger' })
event.shaped('bloodmagic:sacrificialdagger', [
'A B',
' A ',
'C A'
], {
  A: 'minecraft:obsidian',
  B: 'mob_grinding_utils:spikes',
  C: Item.of('bloodmagic:basemonstersoul').ignoreNBT()
})

//Ethereal Slate
event.recipes.bloodmagic.altar('bloodmagic:etherealslate', 'bloodmagic:demonslate').upgradeLevel(4).altarSyphon(30000).consumptionRate(30).drainRate(25)
})
